org.jgrapht.event

## Class TraversalListenerAdapter<V,E>

- java.lang.Object
- - org.jgrapht.event.TraversalListenerAdapter<V,E>

- All Implemented Interfaces:
    TraversalListener<V,E>

      public class TraversalListenerAdapter<V,E>
      extends Object
      implements TraversalListener<V,E>

  An empty do-nothing implementation of the `TraversalListener` interface used for subclasses.
  Since:
    Aug 6, 2003
  Author:
    Barak Naveh

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TraversalListenerAdapter()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `connectedComponentFinished(ConnectedComponentTraversalEvent e)` Called to inform listeners that the traversal of the current connected component has finished.
    `void` | `connectedComponentStarted(ConnectedComponentTraversalEvent e)` Called to inform listeners that a traversal of a new connected component has started.
    `void` | `edgeTraversed(EdgeTraversalEvent<V,E> e)` Called to inform the listener that the specified edge have been visited during the graph traversal.
    `void` | `vertexFinished(VertexTraversalEvent<V> e)` Called to inform the listener that the specified vertex have been finished during the graph traversal.
    `void` | `vertexTraversed(VertexTraversalEvent<V> e)` Called to inform the listener that the specified vertex have been visited during the graph traversal.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TraversalListenerAdapter

          public TraversalListenerAdapter()

  - ### Method Detail

    - #### connectedComponentFinished

          public void connectedComponentFinished(ConnectedComponentTraversalEvent e)

      Description copied from interface: `TraversalListener`
      Called to inform listeners that the traversal of the current connected component has finished.
      Specified by:
        `connectedComponentFinished` in interface `TraversalListener<V,E>`
      Parameters:
        `e` - the traversal event.
      See Also:
        `TraversalListener.connectedComponentFinished(ConnectedComponentTraversalEvent)`

    - #### connectedComponentStarted

          public void connectedComponentStarted(ConnectedComponentTraversalEvent e)

      Description copied from interface: `TraversalListener`
      Called to inform listeners that a traversal of a new connected component has started.
      Specified by:
        `connectedComponentStarted` in interface `TraversalListener<V,E>`
      Parameters:
        `e` - the traversal event.
      See Also:
        `TraversalListener.connectedComponentStarted(ConnectedComponentTraversalEvent)`

    - #### edgeTraversed

          public void edgeTraversed(EdgeTraversalEvent<V,E> e)

      Description copied from interface: `TraversalListener`
      Called to inform the listener that the specified edge have been visited during the graph traversal. Depending on the traversal algorithm, edge might be visited more than once.
      Specified by:
        `edgeTraversed` in interface `TraversalListener<V,E>`
      Parameters:
        `e` - the edge traversal event.
      See Also:
        `TraversalListener.edgeTraversed(EdgeTraversalEvent)`

    - #### vertexTraversed

          public void vertexTraversed(VertexTraversalEvent<V> e)

      Description copied from interface: `TraversalListener`
      Called to inform the listener that the specified vertex have been visited during the graph traversal. Depending on the traversal algorithm, vertex might be visited more than once.
      Specified by:
        `vertexTraversed` in interface `TraversalListener<V,E>`
      Parameters:
        `e` - the vertex traversal event.
      See Also:
        `TraversalListener.vertexTraversed(VertexTraversalEvent)`

    - #### vertexFinished

          public void vertexFinished(VertexTraversalEvent<V> e)

      Description copied from interface: `TraversalListener`
      Called to inform the listener that the specified vertex have been finished during the graph traversal. Exact meaning of "finish" is algorithm-dependent; e.g. for DFS, it means that all vertices reachable via the vertex have been visited as well.
      Specified by:
        `vertexFinished` in interface `TraversalListener<V,E>`
      Parameters:
        `e` - the vertex traversal event.
      See Also:
        `TraversalListener.vertexFinished(VertexTraversalEvent)`

Copyright © 2016. All rights reserved.